<?php
/*##################################################
 *                      LastComExtensionPointProvider.class.php
 *                            -------------------
 *   begin                : september 29, 2016
 *   copyright            : (C) 2016 Easy-design.net
 *   email                : contact@easydesign.net
 *
 *
 ###################################################*/

class LastComMenuModuleMiniMenu extends ModuleMiniMenu
{       
    
	public function get_default_block()
	{
		return self::BLOCK_POSITION__HEADER;
	}
	
	public function admin_display()
	{
		return 'LastCom <br />5 Derniers Commentaires<br>avec preview';
	}
	
	public function get_menu_id()
	{
		return 'module-mini-LastCom';
	}
	
	public function get_menu_title()
	{
        return 'Derniers Commentaires';
        } 

	public function is_displayed()
	{
		return true;
	}


    public function get_menu_content()
    {
        $tpl = new FileTemplate('LastCom/LastCom_mini.tpl');
        $num_char = 150;
        $result = PersistenceContext::get_querier()->select('SELECT * FROM '.PREFIX . 'comments WHERE id > :id ORDER BY timestamp DESC LIMIT :number_items',array( 'number_items' => 5, 'id' => 0 ));
        while ($row = $result->fetch()) {
        
        $comments =  FormatingHelper::second_parse(stripslashes(FormatingHelper::strparse($row['message']))) ;
        
        $tpl->assign_block_vars('list', array(
            'ID' => $row['id'],
            'USERID' => $row['user_id'],
            'PSEUDO' => $row['pseudo'],
            'TIME' => date('d/m/Y',$row['timestamp']),
            'ETC' => strlen($comments) > $num_char ? '...' : '',
            'COMMENT' =>  substr(str_replace(array('<br />','<br>','<hr />','<hr>'), '',$row['message'] ),0,$num_char),
        ));
        }
        
        $tpl->put_all(array(
            'LASTCOMMS_URI' => HOST.DIR.'/' ,
            'PROFILE_URI' => HOST.DIR.'/user/?url=/profile/' , //http://localhost/www-dev/phpboost510/user/?url=/profile/1
        ));
            
        return $tpl->render(); 
    }
}
?>